Subject: Re: [RFC] powerpc: respect how command line nr_cpus is set

From: Milton Miller <[email-masked]>
Date: Wed, 11 May 2011 19:26:01 -0500

On Wed, 04 May 2011 around 10:17:37 -0000, Kumar Gala wrote:
> We should utilize nr_cpus as the max # of CPUs that we can have present
> instead of NR_CPUS.  This way we actually respect how nr_cpus is set on
> the command line rather than ignoring it.
> 
> Signed-off-by: Kumar Gala <[email-masked]>
> 
> ---
> I think this is what we should be doing, but would like someone else to take
> a look.
> 
> - k
> 
>  arch/powerpc/kernel/setup-common.c |   10 +++++-----
>  1 files changed, 5 insertions(+), 5 deletions(-)
> 

This looks very similar to my patch at
http://patchwork.ozlabs.org/patch/95080/ except I also updated the
comment. Also, the variable is nr_cpu_ids while the parameter
is nr_cpus=, the first instance in in the changelog is referring to
the variable while the second is the parameter.

Sorry I took me so long get that part of my series tested and posted.

milton